This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 734140 - Wiki on remote Java clients is out-of-date due to API changes
Wiki on remote Java clients is out-of-date due to API changes
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.1
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-29 10:37 EDT by Mike Foley
Modified: 2011-08-31 11:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-08-29 10:37:37 EDT
Description of problem:  Wiki on remote Java clients is out-of-date due to API changes 


Version-Release number of selected component (if applicable):
RHQ 4.1

How reproducible:


Steps to Reproduce:
1.  Try to use the Java code in Eclipse

  
Actual results:
numerous compile errors.  import statements reference packages that have moved or been renamed.  API changes as well.

Expected results:
Sample code compiles and correctly references the RHQ API

Additional info:

http://www.rhq-project.org/display/JOPR2/Java+Client+Sample+Class
Comment 1 Mike Foley 2011-08-29 10:40:43 EDT
API changes here:


            this.resourceGroupManager = this.remoteClient.getResourceGroupManagerRemote();
            this.resourceManager = this.remoteClient.getResourceManagerRemote();
            this.roleManager = this.remoteClient.getRoleManagerRemote();
            this.subjectManager = this.remoteClient.getSubjectManagerRemote();
        }
Comment 2 Mike Foley 2011-08-29 10:41:19 EDT
API changes here:

 roleCriteria.setFilterId(jbasManagerRole.getId());
            // add a fetch criteria to the criteria object to get the optionally returned subjects for the role.
            roleCriteria.setFetchSubjects(true);
Comment 3 Mike Foley 2011-08-29 10:41:49 EDT
API change here:

  roleCriteria.setFilterName(JBAS_MANAGER_ROLE);

Note You need to log in before you can comment on or make changes to this bug.